Index: tests/regression/Parser/Pdb/post/empty.pdb
===================================================================
--- tests/regression/Parser/Pdb/post/empty.pdb	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
+++ tests/regression/Parser/Pdb/post/empty.pdb	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
@@ -0,0 +1,2 @@
+REMARK created by molecuilder on Tue Dec  7 13:11:31 2010
+END
Index: tests/regression/Parser/Pdb/testsuite-parser-pdb-multiple-timesteps.at
===================================================================
--- tests/regression/Parser/Pdb/testsuite-parser-pdb-multiple-timesteps.at	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
+++ tests/regression/Parser/Pdb/testsuite-parser-pdb-multiple-timesteps.at	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
@@ -0,0 +1,35 @@
+### parsing pdb
+
+AT_SETUP([Parser - loading pdb file with multiple time steps])
+AT_KEYWORDS([parser,pdb])
+
+AT_CHECK([../../molecuilder -v 4 -i testmulti.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/testmulti.pdb], 0, [ignore], [ignore])
+AT_CHECK([file=testmulti.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/testmulti.pdb], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -v 4 -i testmulti2.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/testmulti2.pdb], 0, [ignore], [ignore])
+AT_CHECK([file=testmulti2.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/testmulti2.pdb], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading pdb file with multiple time steps with Undo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([parser,pdb])
+
+AT_CHECK([../../molecuilder -v 4 -i testmulti.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/testmulti.pdb --undo], 0, [ignore], [ignore])
+AT_CHECK([file=testmulti.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/empty.pdb], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -v 4 -i testmulti2.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/testmulti2.pdb --undo], 0, [ignore], [ignore])
+AT_CHECK([file=testmulti2.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/empty.pdb], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading pdb file with multiple time steps with Redo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([parser,pdb])
+
+AT_CHECK([../../molecuilder -v 4 -i testmulti.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/testmulti.pdb --undo --redo], 0, [ignore], [ignore])
+AT_CHECK([file=testmulti.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/testmulti.pdb], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -v 4 -i testmulti2.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/testmulti2.pdb --undo --redo], 0, [ignore], [ignore])
+AT_CHECK([file=testmulti2.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/testmulti2.pdb], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Parser/Pdb/testsuite-parser-pdb-with-conects.at
===================================================================
--- tests/regression/Parser/Pdb/testsuite-parser-pdb-with-conects.at	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
+++ tests/regression/Parser/Pdb/testsuite-parser-pdb-with-conects.at	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
@@ -0,0 +1,29 @@
+### parsing pdb
+
+AT_SETUP([Parser - loading pdb file with CONECTs])
+AT_KEYWORDS([parser,pdb])
+
+AT_CHECK([../../molecuilder -i test_conect.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/test_conect.pdb], 0, [ignore], [ignore])
+AT_CHECK([file=test_conect.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/test_conect.pdb], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading pdb file with CONECTs with Undo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([parser,pdb])
+
+AT_CHECK([../../molecuilder -i test_conect.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/test_conect.pdb --undo], 0, [ignore], [ignore])
+AT_CHECK([file=test_conect.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/empty.pdb], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading pdb file with CONECTs with Redo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([parser,pdb])
+
+AT_CHECK([../../molecuilder -i test_conect.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/test_conect.pdb --undo --redo], 0, [ignore], [ignore])
+AT_CHECK([file=test_conect.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/test_conect.pdb], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Parser/Pdb/testsuite-parser-pdb.at
===================================================================
--- tests/regression/Parser/Pdb/testsuite-parser-pdb.at	(revision caeeb80840441e26c65bc21cf81c49717188c5b4)
+++ tests/regression/Parser/Pdb/testsuite-parser-pdb.at	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
@@ -7,23 +7,33 @@
 AT_CLEANUP
 
+
 AT_SETUP([Parser - loading pdb file])
 AT_KEYWORDS([parser,pdb])
+
 AT_CHECK([../../molecuilder -i test.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/test.pdb], 0, [ignore], [ignore])
 AT_CHECK([file=test.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/test.pdb], 0, [ignore], [ignore])
+
 AT_CLEANUP
 
-AT_SETUP([Parser - loading pdb file with CONECTs])
+
+AT_SETUP([Parser - loading pdb file with Undo])
+AT_XFAIL_IF([/bin/true])
 AT_KEYWORDS([parser,pdb])
-AT_CHECK([../../molecuilder -i test_conect.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/test_conect.pdb], 0, [ignore], [ignore])
-AT_CHECK([file=test_conect.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/test_conect.pdb], 0, [ignore], [ignore])
+
+AT_CHECK([../../molecuilder -i test.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/test.pdb --undo], 0, [ignore], [ignore])
+AT_CHECK([file=test.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/empty.pdb], 0, [ignore], [ignore])
+
 AT_CLEANUP
 
-AT_SETUP([Parser - loading pdb file with multiple time steps])
+
+AT_SETUP([Parser - loading pdb file with Redo])
+AT_XFAIL_IF([/bin/true])
 AT_KEYWORDS([parser,pdb])
-AT_CHECK([../../molecuilder -v 4 -i testmulti.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/testmulti.pdb], 0, [ignore], [ignore])
-AT_CHECK([file=testmulti.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/testmulti.pdb], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -v 4 -i testmulti2.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/testmulti2.pdb], 0, [ignore], [ignore])
-AT_CHECK([file=testmulti2.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/testmulti2.pdb], 0, [ignore], [ignore])
+
+AT_CHECK([../../molecuilder -i test.pdb -o pdb -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/pre/test.pdb --undo --redo], 0, [ignore], [ignore])
+AT_CHECK([file=test.pdb; diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Pdb/post/test.pdb], 0, [ignore], [ignore])
+
 AT_CLEANUP
+
 
 AT_SETUP([Parser - saving pdb file])
